Bug 9832 - QueryParser causes software error if koha-conf.xml has not been updated
Summary: QueryParser causes software error if koha-conf.xml has not been updated
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Jared Camins-Esakov
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-17 19:42 UTC by Jared Camins-Esakov
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9832: avert software error with QP enabled and misconfigured (1.12 KB, patch)
2013-03-17 19:47 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 9832: avert software error with QP enabled and misconfigured (1.22 KB, patch)
2013-03-17 19:54 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 9832: avert software error with QP enabled and misconfigured (1.28 KB, patch)
2013-03-18 18:33 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2013-03-17 19:42:23 UTC
QueryParser requires a configuration file. If koha-conf.xml does not point to that configuration file, you will get a software error when you try to search with QueryParser enabled.
Comment 1 Jared Camins-Esakov 2013-03-17 19:47:35 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2013-03-17 19:54:53 UTC Comment hidden (obsolete)
Comment 3 Paul Poulain 2013-03-18 18:32:03 UTC
QA comment
 * trivial patch
 * passes koha-qa.pl
 * no side effect I can think of
Comment 4 Paul Poulain 2013-03-18 18:33:50 UTC
Created attachment 16304 [details] [review]
Bug 9832: avert software error with QP enabled and misconfigured

QueryParser requires a configuration file. If koha-conf.xml does not
point to that configuration file, you will get a software error when
you try to search with QueryParser enabled. Until this patch.

To test:
1) Comment out the <queryparser_config> line in your koha-conf.xml
2) Turn on UseQueryParser
3) Do a search, watch it explode
4) Apply patch
5) Do search again, watch it work
6) Sign off on patch

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Works as expected, nothing explodes anymore

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 5 Paul Poulain 2013-03-18 18:39:50 UTC
QA comment : note that the error does not occur if your koha-conf.xml file does not have the <queryparser> line at all.
Comment 6 Jared Camins-Esakov 2013-03-19 12:20:00 UTC
This patch has been pushed to master.